List Run Stages
curl --request GET \
--url https://api.example.com/api/v1/runs/{id}/stages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/runs/{id}/stages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/runs/{id}/stages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "verify@2",
"name": "Propose Changes",
"node_id": "verify",
"visit": 2,
"wall_time_ms": 154000,
"graph_visit": 1,
"resumed_from_stage_id": "verify@1",
"provider_used": {
"mode": "agent",
"provider": "openai",
"model": "gpt-5.5"
},
"started_at": "2026-04-29T12:34:56Z"
}
],
"meta": {
"has_more": true,
"total": true
}
}{
"errors": [
{
"status": "404",
"title": "Not Found",
"detail": "Run not found.",
"code": "access_token_expired",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"leftover_env_keys": [
"<string>"
],
"removed_env_keys": [
"<string>"
]
}Run Internals
List Run Stages
Returns the ordered list of stages in a run’s workflow graph with their current status and timing. Stages are bounded by the workflow graph size, typically fewer than 20.
GET
/
api
/
v1
/
runs
/
{id}
/
stages
List Run Stages
Authorizations
BearerAuthSessionCookie
Raw dev token passed as Authorization: Bearer fabro_dev_... when server.auth.methods includes dev-token.
Path Parameters
Unique run identifier (ULID).
Query Parameters
Maximum number of items to return per page.
Required range:
1 <= x <= 100Number of items to skip before returning results.
Required range:
x >= 0⌘I